Bug 484940 - packaging should respect /etc/samba/smbpasswd
packaging should respect /etc/samba/smbpasswd
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: samba (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Simo Sorce
Fedora Extras Quality Assurance
: Reopened, Triaged
Depends On:
Blocks: 516996
  Show dependency treegraph
 
Reported: 2009-02-10 14:27 EST by Stig Hackvan
Modified: 2009-12-18 02:52 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:52:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stig Hackvan 2009-02-10 14:27:26 EST
Description of problem:

for the last six months at least (starting in F8 updates and continuing on F10) every time the samba package gets updated, my /etc/samba/smbpasswd config file gets wiped out.

Version-Release number of selected component (if applicable):

current release... 3.2.8-0.26-fc10

How reproducible:

yum update

Steps to Reproduce:
1. put something useful in /etc/samba/smbpasswd
2. update samba
3. watch it go away.
  
Actual results:

rpm -qc samba does not list /etc/samba/smbpasswd as a config file and it should.  

Expected results:


Additional info:
Comment 1 Simo Sorce 2009-02-10 15:04:59 EST
Since F8 the smbpasswd file is located in /var/lib/samba/private
Comment 2 Stig Hackvan 2009-03-08 17:20:20 EDT
so here's the problem that i've been encountering...  in the install script from the rpm, there's a clause that moves smbpasswd from the old location to the newer location.  that's fine and well-intentioned, but the test to determine if smb.conf has set smbpasswd's location is reckless...

I had it set this way...
        passdb backend = smbpasswd:/etc/samba/smbpasswd

and the install script seems to want it this way...
        smb passwd file = /etc/samba/smbpasswd

and here is the code that I believe ought to have been more robust...
but now this change in smbpasswd's default location is so old, that I don't know why it's still around...

#smbpasswd
if [ -f /etc/samba/smbpasswd ]; then
        eval testparm -s 2>/dev/null |grep "smb passwd file" >/dev/null
        if [ $? = 0 ]; then
                echo "Warning: smbpasswd file location explicitly set. Not moving smbpasswd to new d
efault location"
        else
                if [ -f /var/lib/samba/private/smbpasswd ]; then
                        mv -f /var/lib/samba/private/smbpasswd /var/lib/samba/private/smbpasswd.old
                fi
                mv -f /etc/samba/smbpasswd /var/lib/samba/private/smbpasswd
        fi
fi
Comment 3 Bug Zapper 2009-11-18 06:04:54 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-12-18 02:52:56 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.